id: admin-background
source: spirit
source-layer: admin
type: line
layout:
  line-join: bevel
  line-cap: square
filter: [any, ['!=', [get, admin_level], 2], ['!', [get, in_other_country]]]
paint:
  line-color: rgba(194,94,184, 0.6) # lch(55,60,330)
  line-width:
    - interpolate
    - [exponential, 1.35]
    - [zoom]
    - 4
    - - match
      - [get, admin_level]
      - 200
      - 5
      - 4
      - 3
      - 6
      - 0
      - 3
    - 10
    - - match
      - [get, admin_level]
      - 200
      - 10
      - 4
      - 7
      - 6
      - 6
      - 3
    - 20
    - - match
      - [get, admin_level]
      - 200
      - 30
      - 4
      - 15
      - 6
      - 10
      - 3

